From f9af60462cf68e2a16f057df0692fab1881b8318 Mon Sep 17 00:00:00 2001
From: Carl Huang <cjhuang@codeaurora.org>
Date: Fri, 12 Jun 2020 15:31:17 +0800
Subject: [PATCH 09/76] ath11k: destroy workqueue when module is unloaded

Destroy workqueue when module is unloaded, otherwise memory leaks.

Tested-on: QCA6390 hw2.0 PCI WLAN.HST.1.0.1-01740-QCAHSTSWPLZ_V2_TO_X86-1

Signed-off-by: Carl Huang <cjhuang@codeaurora.org>
---
 drivers/net/wireless/ath/ath11k/pci.c | 1 +
 1 file changed, 1 insertion(+)

diff --git a/drivers/net/wireless/ath/ath11k/pci.c b/drivers/net/wireless/ath/ath11k/pci.c
index 78478b2..0c60238 100644
--- a/drivers/net/wireless/ath/ath11k/pci.c
+++ b/drivers/net/wireless/ath/ath11k/pci.c
@@ -1218,6 +1218,7 @@ static void ath11k_pci_remove(struct pci_dev *pdev)
 	}
 
 	set_bit(ATH11K_FLAG_UNREGISTERING, &ab->dev_flags);
+	destroy_workqueue(ab->workqueue);
 
 	ath11k_core_deinit(ab);
 
-- 
2.7.4

